Vcenter CertificateManagement Vcenter TrustedRootChains create

Vcenter CertificateManagement Vcenter TrustedRootChains create

Creates a new trusted root certificate chain from the CreateSpec.

This operation was added in vSphere API 6.7.2.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires CertificateManagement.Manage and CertificateManagement.Administer.
Request
URI
POST
https://{api_host}/api/vcenter/certificate-management/vcenter/trusted-root-chains
COPY
Request Body

The information needed to create a trusted root certificate chain.

Show optional properties

{
    "cert_chain": {}
}
{
    "cert_chain": {
        "cert_chain": [
            "string"
        ]
    },
    "chain": "string"
}
cert_chain
Required

Certificate chain in base64 encoding

This property was added in vSphere API 6.7.2.

string
chain
Optional

Unique identifier for this trusted root. Client can specify at creation as long as it is unique, otherwise one will be generated. An example of a client providing the identifier would be if this trusted root is associated with a VC trust. In this case the identifier would be the domain id.

This property was added in vSphere API 6.7.2.

A unique id will be generated if not given.

Authentication
This operation uses the following authentication methods.
Responses
201

The unique identifier for the new trusted root chain.

Returns string of type(s) application/json
Operation doesn't return any data structure

400

if a trusted root certificate chain exists with id in given spec.

Returns Vapi Std Errors AlreadyExists of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors AlreadyExists0
"Vapi Std Errors AlreadyExists Object"

403

if authorization is not given to caller.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors Unauthorized0
"Vapi Std Errors Unauthorized Object"

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cert_chain":"{}"}' https://{api_host}/api/vcenter/certificate-management/vcenter/trusted-root-chains